Changeset 3234


Ignore:
Timestamp:
Nov 12, 2010 5:57:31 PM (10 years ago)
Author:
wehart
Message:

Adding the CooprAge? script.

Adding a flag to make PyQT imports conditional.

Location:
coopr.age/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • coopr.age/trunk/coopr/age/CooprAge.py

    r3205 r3234  
    11import sys, os
     2try:
     3    import PyQt4
     4except ImportError:
     5    print "Aborting CooprAge.  Failed to import the PyQt4 package."
     6    sys.exit(0)
     7
    28from PyQt4.QtGui import QMainWindow, QMdiArea, QKeySequence, QAction, QIcon, QDialog,\
    39     QToolBar, QStatusBar, QMdiSubWindow, QApplication, QFileDialog, QMessageBox, QLabel, \
  • coopr.age/trunk/setup.py

    r3196 r3234  
    6767      keywords=['optimization'],
    6868      scripts=scripts,
    69       namespace_packages=['coopr']
     69      namespace_packages=['coopr'],
     70      entry_points="""
     71        [console_scripts]
     72        CooprAge = coopr.age.CooprAge
     73      """
    7074      )
    7175
Note: See TracChangeset for help on using the changeset viewer.